/*
 * controlpanel-applet.c.c - Source for Azimuth's control panel applet
 * Copyright (C) 2010 Collabora
 * @author Alban Crequy <alban.crequy@collabora.co.uk>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <libintl.h>
#include <libosso.h>
#include <hildon/hildon.h>
#include <hildon-cp-plugin/hildon-cp-plugin-interface.h>

static GtkWidget*
create_main_dialog (gpointer window, osso_context_t *osso)
{
  GtkWidget *dialog;
  GtkWidget *bSave;

  dialog = g_object_new (GTK_TYPE_DIALOG,
      "transient-for", GTK_WINDOW (window),
      "destroy-with-parent", TRUE,
      "resizable", TRUE,
      "has-separator", FALSE,
      "modal", TRUE,
      NULL);
  gtk_window_set_title (GTK_WINDOW (dialog),
      "Publish location");

  bSave = gtk_dialog_add_button (GTK_DIALOG (dialog),
      dgettext ("hildon-libs", "wdgt_bd_save"),
      GTK_RESPONSE_OK);

  gtk_widget_show_all (dialog);

  return dialog;
}

osso_return_t
execute (osso_context_t *osso, gpointer data,
    gboolean user_activated)
{
  GtkWidget *dialog;
  gint ret;

  dialog = create_main_dialog (data, osso);

  ret = gtk_dialog_run (GTK_DIALOG (dialog));

  gtk_widget_destroy (dialog);


  return OSSO_OK;
}

